## arduino-cli lib

Arduino commands about libraries.

### Synopsis

Arduino commands about libraries.

### Examples

```
  debian/build/bin/docsgen lib install AudioZero
  debian/build/bin/docsgen lib update-index
```

### Options

```
  -h, --help   help for lib
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli](arduino-cli.md)	 - Arduino CLI.
* [arduino-cli lib deps](arduino-cli_lib_deps.md)	 - Check dependencies status for the specified library.
* [arduino-cli lib download](arduino-cli_lib_download.md)	 - Downloads one or more libraries without installing them.
* [arduino-cli lib examples](arduino-cli_lib_examples.md)	 - Shows the list of the examples for libraries.
* [arduino-cli lib install](arduino-cli_lib_install.md)	 - Installs one or more specified libraries into the system.
* [arduino-cli lib list](arduino-cli_lib_list.md)	 - Shows a list of installed libraries.
* [arduino-cli lib search](arduino-cli_lib_search.md)	 - Searches for one or more libraries matching a query.
* [arduino-cli lib uninstall](arduino-cli_lib_uninstall.md)	 - Uninstalls one or more libraries.
* [arduino-cli lib update-index](arduino-cli_lib_update-index.md)	 - Updates the libraries index.
* [arduino-cli lib upgrade](arduino-cli_lib_upgrade.md)	 - Upgrades installed libraries.

